Package be.fgov.ehealth.certra.core.v2

# Enum Class CertificateStatusType

java.lang.Object
java.lang.Enum<CertificateStatusType>
be.fgov.ehealth.certra.core.v2.CertificateStatusType

All Implemented Interfaces:
  `Serializable`, `Comparable<CertificateStatusType>`, `java.lang.constant.Constable`

public enum CertificateStatusType extends Enum<CertificateStatusType>
Type describing the possible statuses of an authentication certificate

Java class for CertificateStatusType

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CertificateStatusType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="IN_PROGRESS"/>
         <enumeration value="VALID_ACTIVE"/>
         <enumeration value="REFUSED"/>
         <enumeration value="REVOKED"/>
         <enumeration value="EXPIRED"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXPIRED`
  `IN_PROGRESS`
  `REFUSED`
  `REVOKED`
  `VALID_ACTIVE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CertificateStatusType`
  `fromValue(String v)`
  `String`
  `value()`
  `static CertificateStatusType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CertificateStatusType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### IN_PROGRESS

    public static final CertificateStatusType IN_PROGRESS

  - ### VALID_ACTIVE

    public static final CertificateStatusType VALID_ACTIVE

  - ### REFUSED

    public static final CertificateStatusType REFUSED

  - ### REVOKED

    public static final CertificateStatusType REVOKED

  - ### EXPIRED

    public static final CertificateStatusType EXPIRED

- ## Method Details

  - ### values

    public static CertificateStatusType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CertificateStatusType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static CertificateStatusType fromValue(String v)